Bug 2041266 - Review Request: plasma-phonebook - Convergent Plasma Mobile phonebook application
Summary: Review Request: plasma-phonebook - Convergent Plasma Mobile phonebook applica...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-phonebook
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Onuralp Sezer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-01-16 21:20 UTC by Onuralp SEZER
Modified: 2022-10-07 15:55 UTC (History)
3 users (show)

Fixed In Version: plasma-phonebook-22.09-1.fc37 plasma-phonebook-22.09-1.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-10-03 00:20:10 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Onuralp SEZER 2022-01-16 21:20:45 UTC
Spec URL: https://pagure.io/mobile-plasma-phonebook/raw/main/f/plasma-mobile-phonebook.spec
SRPM URL: https://pagure.io/mobile-plasma-phonebook/blob/main/f/plasma-mobile-phonebook-21.12-1.fc35.src.rpm
Description: Convergent Plasma Mobile phonebook application
Fedora Account System Username: thunderbirdtr

Comment 1 Onuralp SEZER 2022-01-16 21:22:46 UTC
This package require first : https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=2041267

Comment 3 Troy Dawson 2022-09-01 22:22:02 UTC
Looks good except for Licenses.  It looks like they added a license when you updates, and your License: line only has one listed.

Here is a spec file diff that will fix the license problem.

--- plasma-mobile-phonebook.spec        2022-08-30 23:16:49.000000000 -0700
+++ plasma-mobile-phonebook.fixed.spec  2022-09-01 15:21:06.894854918 -0700
@@ -4,7 +4,7 @@
 Name:           plasma-mobile-phonebook
 Version:        22.06
 Release:        1%{?dist}
-License:        GPLv3
+License:        CC0 and GPLv2 and GPLv3 and GPLv3+ and LGPLv2+
 Summary:        Convergent Plasma Mobile phonebook application
 Url:            https://invent.kde.org/plasma-mobile/%{_origname}
 Source0:        https://download.kde.org/stable/plasma-mobile/%{version}/%{_origname}-%{version}.tar.xz
@@ -56,7 +56,7 @@
 
 %files -f %{_origname}.lang
 %doc README.md
-%license LICENSES/{GPL-2.0-only,GPL-3.0-only,GPL-3.0-or-later,LGPL-2.0-or-later,LicenseRef-KDE-Accepted-GPL}.txt
+%license LICENSES/{CC0-1.0.txt,GPL-2.0-only,GPL-3.0-only,GPL-3.0-or-later,LGPL-2.0-or-later,LicenseRef-KDE-Accepted-GPL}.txt
 %{_kf5_bindir}/%{_origname}
 %{_kf5_datadir}/icons/hicolor/scalable/apps/org.kde.phonebook.svg
 %{_kf5_datadir}/applications/org.kde.phonebook.desktop

Comment 4 Troy Dawson 2022-09-06 15:12:28 UTC
I am going to pass this to get it moving.
Please fix the license issue.
I will be double checking to make sure the license issue is fixed correctly.

Issues:
=======
- License: line does not have all the licenses
- %license is missing one license

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
     MANUAL: .so files are not in ld path.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
     Note: Using prebuilt packages
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* Creative Commons CC0 1.0", "Unknown or
     generated", "GNU General Public License, Version 2", "GNU Library
     General Public License, Version 2.0", "*No copyright* GNU General
     Public License, Version 3", "*No copyright* GNU Library General Public
     License, Version 2.0", "*No copyright* GNU General Public License,
     Version 2", "*No copyright* GNU General Public License". 50 files have
     unknown license. Detailed output of licensecheck in
     /home/quake/review/phonebook/review-plasma-mobile-
     phonebook/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/icons/hicolor/scalable/apps,
     /usr/lib64/qt5/plugins/kpeople, /usr/share/icons/hicolor,
     /usr/share/icons/hicolor/scalable,
     /usr/lib64/qt5/plugins/kpeople/actions
     MANUAL: All these directories are owned by dependencies
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
     MANUAL: The missing build dependencies will be in Rawhide with next repo regeneration
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: https://docs.fedoraproject.org/en-US/packaging-
     guidelines/#_use_rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 3.1 starting (python version = 3.11.0, NVR = mock-3.1-1.fc37)...
Start(bootstrap): init plugins
INFO: selinux enabled
Finish(bootstrap): init plugins
Start: init plugins
INFO: selinux enabled
Finish: init plugins
INFO: Signal handler active
Start: run
Start(bootstrap): chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled package manager cache
Start(bootstrap): cleaning package manager metadata
Finish(bootstrap): cleaning package manager metadata
INFO: enabled HW Info plugin
Mock Version: 3.1
INFO: Mock Version: 3.1
Finish(bootstrap): chroot init
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled package manager cache
Start: cleaning package manager metadata
Finish: cleaning package manager metadata
INFO: enabled HW Info plugin
Mock Version: 3.1
INFO: Mock Version: 3.1
Finish: chroot init
INFO: installing package(s): /builddir/plasma-mobile-phonebook-debugsource-22.06-1.fc38.x86_64.rpm /builddir/plasma-mobile-phonebook-22.06-1.fc38.x86_64.rpm /builddir/plasma-mobile-phonebook-debuginfo-22.06-1.fc38.x86_64.rpm
ERROR: Command failed: 
 # /usr/bin/systemd-nspawn -q -M 030c30d747a84fb68278b3fc56aa3341 -D /var/lib/mock/fedora-rawhide-x86_64-bootstrap/root -a --capability=cap_ipc_lock --bind=/tmp/mock-resolv.roz1f97c:/etc/resolv.conf --console=pipe --setenv=TERM=vt100 --setenv=SHELL=/bin/bash --setenv=HOME=/var/lib/mock/fedora-rawhide-x86_64/root/installation-homedir --setenv=HOSTNAME=mock --setenv=PATH=/usr/bin:/bin:/usr/sbin:/sbin --setenv=PROMPT_COMMAND=printf "\033]0;<mock-chroot>\007" --setenv=PS1=<mock-chroot> \s-\v\$  --setenv=LANG=C.UTF-8 --setenv=LC_MESSAGES=C.UTF-8 --resolv-conf=off /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 38 --setopt=deltarpm=False --allowerasing --disableplugin=local --disableplugin=spacewalk --disableplugin=versionlock install /builddir/plasma-mobile-phonebook-debugsource-22.06-1.fc38.x86_64.rpm /builddir/plasma-mobile-phonebook-22.06-1.fc38.x86_64.rpm /builddir/plasma-mobile-phonebook-debuginfo-22.06-1.fc38.x86_64.rpm --setopt=tsflags=nocontexts



Rpmlint
-------
Cannot parse rpmlint output:


Unversioned so-files
--------------------
plasma-mobile-phonebook: /usr/lib64/qt5/plugins/kpeople/actions/phonebook_kpeople_plugin.so

Source checksums
----------------
https://download.kde.org/stable/plasma-mobile/22.06/plasma-phonebook-22.06.tar.xz :
  CHECKSUM(SHA256) this package     : 1c7d1cec7d6a478c9735a6282428b950a87fc9018a9ae215ab8be4271dbd0902
  CHECKSUM(SHA256) upstream package : 1c7d1cec7d6a478c9735a6282428b950a87fc9018a9ae215ab8be4271dbd0902


Requires
--------
plasma-mobile-phonebook (rpmlib, GLIBC filtered):
    kf5-kcontacts
    kf5-kcoreaddons
    kf5-kirigami2
    kpeoplevcard
    libKF5ConfigCore.so.5()(64bit)
    libKF5ConfigGui.so.5()(64bit)
    libKF5Contacts.so.5()(64bit)
    libKF5CoreAddons.so.5()(64bit)
    libKF5I18n.so.5()(64bit)
    libKF5People.so.5()(64bit)
    libKF5PeopleBackend.so.5()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.15)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Qml.so.5()(64bit)
    libQt5Qml.so.5(Qt_5)(64bit)
    libQt5Quick.so.5()(64bit)
    libQt5Quick.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libc.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    rtld(GNU_HASH)

plasma-mobile-phonebook-debuginfo (rpmlib, GLIBC filtered):

plasma-mobile-phonebook-debugsource (rpmlib, GLIBC filtered):



Provides
--------
plasma-mobile-phonebook:
    application()
    application(org.kde.phonebook.desktop)
    metainfo()
    metainfo(org.kde.phonebook.metainfo.xml)
    plasma-mobile-phonebook
    plasma-mobile-phonebook(x86-64)

plasma-mobile-phonebook-debuginfo:
    debuginfo(build-id)
    plasma-mobile-phonebook-debuginfo
    plasma-mobile-phonebook-debuginfo(x86-64)

plasma-mobile-phonebook-debugsource:
    plasma-mobile-phonebook-debugsource
    plasma-mobile-phonebook-debugsource(x86-64)



Generated by fedora-review 0.9.0 (6761b6c) last change: 2022-08-23
Command line :/usr/bin/fedora-review -n plasma-mobile-phonebook -p
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic, C/C++
Disabled plugins: Perl, Haskell, Java, SugarActivity, fonts, R, Ocaml, Python, PHP
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 5 Gwyn Ciesla 2022-09-21 13:22:27 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/plasma-phonebook

Comment 6 Fedora Update System 2022-09-26 08:49:16 UTC
FEDORA-2022-7a3ac34a1f has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-7a3ac34a1f

Comment 7 Fedora Update System 2022-09-26 15:05:37 UTC
FEDORA-2022-268d81ab20 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-268d81ab20

Comment 8 Fedora Update System 2022-09-27 02:22:32 UTC
FEDORA-2022-7a3ac34a1f has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-7a3ac34a1f \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-7a3ac34a1f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2022-09-27 21:13:43 UTC
FEDORA-2022-268d81ab20 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-268d81ab20 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-268d81ab20

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2022-09-30 01:13:56 UTC
FEDORA-2022-ba7ea6b8a8 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-ba7ea6b8a8`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-ba7ea6b8a8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2022-09-30 02:06:36 UTC
FEDORA-2022-6054582285 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-6054582285`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-6054582285

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2022-10-03 00:20:10 UTC
FEDORA-2022-ba7ea6b8a8 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2022-10-07 15:55:07 UTC
FEDORA-2022-6054582285 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.